<template>
  <div class="card">
    <div class="card-header">
      <h4>{{ props.title }}</h4>
    </div>
    <div class="card-body">
      <input type="text" name="" id="" class="form-control mb-2" v-model="firstName">
      <input type="text" name="" id="" class="form-control" v-model="lastName">
    </div>
    <div class="card-footer">
      <h2>{{ fullName }}</h2>
    </div>
  </div>
</template>

<script setup>
import { ref, computed, defineProps } from "vue";

const firstName = ref("");
const lastName = ref("");
const props=defineProps(['title'])

const fullName = computed(() => {
  return firstName.value + " " + lastName.value;
})

</script>

<style lang="scss" scoped></style>